/*********************************************************/
/* This file is part of magmac an interface between      */
/*                     c and magma                       */
/*                 David Lubicz CELAR                    */
/*            Copyright (C) 2006 David Lubicz            */
/*********************************************************/

/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include <stdio.h>
#include <stdlib.h>
#include "../include/magmac.h"

void main()
{
  struct magma_session session;
  char **result;
  int i;

  result = malloc(sizeof(size_t));
  
  /* open a magma session */
  magma_init(&session);

  /* Now it's possible to issue magma commands from the c code */
  for (i=1; i<= 100; i++)
    {
      magma_cmd(&session,"2+3;", result);
      printf("%s \n",*result);
      free(*result);
    }
 
  /* don't forget to close the session in order to avoid zombis */
  magma_close(&session);

  /* freeing memory */
  last_lines(result, 1);
  free(result);
}
